Update Memo
UpdateMemo updates a memo.
Path Parameters
The memo id.
Query Parameters
Required. The list of fields to update.
field-maskRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/memos/string" \ -H "Content-Type: application/json" \ -d '{ "state": "STATE_UNSPECIFIED", "content": "string", "visibility": "VISIBILITY_UNSPECIFIED" }'{ "name": "string", "state": "STATE_UNSPECIFIED", "creator": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "content": "string", "visibility": "VISIBILITY_UNSPECIFIED", "tags": [ "string" ], "pinned": true, "attachments": [ { "name": "string", "createTime": "2019-08-24T14:15:22Z", "filename": "string", "content": "string", "externalLink": "string", "type": "string", "size": "string", "memo": "string", "motionMedia": { "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED", "role": "MOTION_MEDIA_ROLE_UNSPECIFIED", "groupId": "string", "presentationTimestampUs": "string", "hasEmbeddedVideo": true }, "mediaMetadata": { "width": 0, "height": 0, "photo": { "captureTime": { "localDateTime": "string", "utcOffset": "string" }, "location": { "latitude": 0.1, "longitude": 0.1, "altitudeMeters": 0.1 }, "sourceExifOrientation": 0, "cameraMake": "string", "cameraModel": "string", "lensModel": "string", "fNumber": 0.1, "exposureTimeSeconds": 0.1, "iso": 0, "focalLengthMm": 0.1 }, "video": { "durationSeconds": 0.1 } } } ], "relations": [ { "memo": { "name": "string", "snippet": "string" }, "relatedMemo": { "name": "string", "snippet": "string" }, "type": "TYPE_UNSPECIFIED" } ], "reactions": [ { "name": "string", "creator": "string", "reactionType": "string", "createTime": "2019-08-24T14:15:22Z" } ], "property": { "hasLink": true, "hasTaskList": true, "hasCode": true, "hasIncompleteTasks": true, "title": "string" }, "parent": "string", "snippet": "string", "location": { "placeholder": "string", "latitude": 0.1, "longitude": 0.1 }, "space": "string"}Set Memo Relations
SetMemoRelations replaces the full set of mutable REFERENCE relations on a memo. COMMENT relations are immutable creation context and are rejected by this RPC. An empty list clears references without changing COMMENT.
Upsert Memo Reaction
UpsertMemoReaction adds or updates the authenticated user's reaction on a memo.